org.eclipse.aether.resolution

## Class VersionResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.resolution.VersionResolutionException

- All Implemented Interfaces:
    Serializable

      public class VersionResolutionException
      extends RepositoryException

  Thrown in case of an unresolvable metaversion.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionResolutionException(VersionResult result)` Creates a new exception with the specified result.
    `VersionResolutionException(VersionResult result, String message)` Creates a new exception with the specified result and detail message.
    `VersionResolutionException(VersionResult result, String message, Throwable cause)` Creates a new exception with the specified result, detail message and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VersionResult` | `getResult()` Gets the version result at the point the exception occurred.

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionResolutionException

          public VersionResolutionException(VersionResult result)

      Creates a new exception with the specified result.
      Parameters:
        `result` - The version result at the point the exception occurred, may be `null`.

    - #### VersionResolutionException

          public VersionResolutionException(VersionResult result,
                                    String message)

      Creates a new exception with the specified result and detail message.
      Parameters:
        `result` - The version result at the point the exception occurred, may be `null`.
        `message` - The detail message, may be `null`.

    - #### VersionResolutionException

          public VersionResolutionException(VersionResult result,
                                    String message,
                                    Throwable cause)

      Creates a new exception with the specified result, detail message and cause.
      Parameters:
        `result` - The version result at the point the exception occurred, may be `null`.
        `message` - The detail message, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

  - ### Method Detail

    - #### getResult

          public VersionResult getResult()

      Gets the version result at the point the exception occurred. Despite being incomplete, callers might want to use this result to fail gracefully and continue their operation with whatever interim data has been gathered.
      Returns:
        The version result or `null` if unknown.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.